[arch-commits] Commit in nullmailer/repos (8 files)

Martin Wimpress flexiondotorg at archlinux.org
Fri Apr 10 14:12:57 UTC 2015


    Date: Friday, April 10, 2015 @ 16:12:57
  Author: flexiondotorg
Revision: 131111

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  nullmailer/repos/community-staging-i686/
  nullmailer/repos/community-staging-i686/PKGBUILD
    (from rev 131110, nullmailer/trunk/PKGBUILD)
  nullmailer/repos/community-staging-i686/nullmailer.install
    (from rev 131110, nullmailer/trunk/nullmailer.install)
  nullmailer/repos/community-staging-i686/nullmailer.service
    (from rev 131110, nullmailer/trunk/nullmailer.service)
  nullmailer/repos/community-staging-x86_64/
  nullmailer/repos/community-staging-x86_64/PKGBUILD
    (from rev 131110, nullmailer/trunk/PKGBUILD)
  nullmailer/repos/community-staging-x86_64/nullmailer.install
    (from rev 131110, nullmailer/trunk/nullmailer.install)
  nullmailer/repos/community-staging-x86_64/nullmailer.service
    (from rev 131110, nullmailer/trunk/nullmailer.service)

---------------------------------------------+
 community-staging-i686/PKGBUILD             |   41 ++++++++++++++++++++++++++
 community-staging-i686/nullmailer.install   |   35 ++++++++++++++++++++++
 community-staging-i686/nullmailer.service   |   13 ++++++++
 community-staging-x86_64/PKGBUILD           |   41 ++++++++++++++++++++++++++
 community-staging-x86_64/nullmailer.install |   35 ++++++++++++++++++++++
 community-staging-x86_64/nullmailer.service |   13 ++++++++
 6 files changed, 178 insertions(+)

Copied: nullmailer/repos/community-staging-i686/PKGBUILD (from rev 131110, nullmailer/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer : Martin Wimpress <code at flexion.org>
+# Contributor: Roberto Alsina <ralsina at kde.org>
+# Contributor: Kurt J. Bosch <kjb-temp-2009 at alpenjodel.de>
+
+pkgname=nullmailer
+pkgver=1.13
+pkgrel=5
+pkgdesc="Simple relay-only mail transport agent."
+arch=('i686' 'x86_64')
+url="http://www.untroubled.org/nullmailer/"
+license=("GPL")
+provides=('smtp-forwarder')
+conflicts=('smtp-forwarder' 'smtp-server')
+depends=('gnutls')
+options=(emptydirs)
+install=nullmailer.install
+source=("http://www.untroubled.org/nullmailer/archive/${pkgname}-${pkgver}.tar.gz"
+        nullmailer.service)
+md5sums=('aaeb8746fbc082917b26d0827ccc9270'
+         '300f17c52422d4156583f207f2405930')
+
+build() {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    ./configure \
+        --prefix=/usr \
+        --libexecdir=/usr/lib/${pkgname} \
+        --sysconfdir=/etc \
+        --localstatedir=/var \
+        --sbindir=/usr/bin \
+        --enable-tls
+    make
+}
+
+package() {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    make DESTDIR="${pkgdir}" install
+    install -D -m 0644 ../nullmailer.service "${pkgdir}/usr/lib/systemd/system/nullmailer.service"
+    # Remove pipe and create on install to work around makepkg hang on grep -R
+    rm -f "${pkgdir}/var/nullmailer/trigger"
+}

Copied: nullmailer/repos/community-staging-i686/nullmailer.install (from rev 131110, nullmailer/trunk/nullmailer.install)
===================================================================
--- community-staging-i686/nullmailer.install	                        (rev 0)
+++ community-staging-i686/nullmailer.install	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,35 @@
+post_install() {
+    if ! getent passwd nullmail > /dev/null; then
+        echo "==> Creating nullmail user"
+        usr/bin/useradd --comment "nullmailer MTA" --shell /bin/sh --home /var/nullmailer --system --user-group nullmail
+    fi
+
+    echo "==> Creating trigger fifo"
+    rm -f var/nullmailer/trigger && mkfifo -m 600 var/nullmailer/trigger
+
+    echo "==> Fixing permissions"
+    chown nullmail var/nullmailer/*
+    chown nullmail usr/bin/nullmailer-queue
+    chmod u+s      usr/bin/nullmailer-queue
+    chown nullmail usr/bin/mailq
+    chmod u+s      usr/bin/mailq
+    if ! [ -s etc/nullmailer/me ]; then
+        echo "==> Configuring"
+        hostnamectl --static > etc/nullmailer/me
+    fi
+    if ! [ -s etc/nullmailer/remotes ]; then
+        echo "smarthost.example.org smtp --port=25 --auth-login --user=user --pass=pass" > etc/nullmailer/remotes
+        chgrp nullmail etc/nullmailer/remotes
+        chmod 640 etc/nullmailer/remotes
+    fi
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    systemctl stop nullmailer
+    # Leave the 'queue' directory intact
+    rm -rf var/service/nullmailer/{tmp,trigger}
+}

Copied: nullmailer/repos/community-staging-i686/nullmailer.service (from rev 131110, nullmailer/trunk/nullmailer.service)
===================================================================
--- community-staging-i686/nullmailer.service	                        (rev 0)
+++ community-staging-i686/nullmailer.service	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,13 @@
+[Unit]
+Description=Nullmailer relay-only MTA
+After=local-fs.target
+ConditionPathExists=/var/nullmailer/queue
+
+[Install]
+WantedBy=multi-user.target
+
+[Service]
+WorkingDirectory=/var/nullmailer
+ExecStart=/usr/bin/nullmailer-send
+User=nullmail
+Restart=always

Copied: nullmailer/repos/community-staging-x86_64/PKGBUILD (from rev 131110, nullmailer/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer : Martin Wimpress <code at flexion.org>
+# Contributor: Roberto Alsina <ralsina at kde.org>
+# Contributor: Kurt J. Bosch <kjb-temp-2009 at alpenjodel.de>
+
+pkgname=nullmailer
+pkgver=1.13
+pkgrel=5
+pkgdesc="Simple relay-only mail transport agent."
+arch=('i686' 'x86_64')
+url="http://www.untroubled.org/nullmailer/"
+license=("GPL")
+provides=('smtp-forwarder')
+conflicts=('smtp-forwarder' 'smtp-server')
+depends=('gnutls')
+options=(emptydirs)
+install=nullmailer.install
+source=("http://www.untroubled.org/nullmailer/archive/${pkgname}-${pkgver}.tar.gz"
+        nullmailer.service)
+md5sums=('aaeb8746fbc082917b26d0827ccc9270'
+         '300f17c52422d4156583f207f2405930')
+
+build() {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    ./configure \
+        --prefix=/usr \
+        --libexecdir=/usr/lib/${pkgname} \
+        --sysconfdir=/etc \
+        --localstatedir=/var \
+        --sbindir=/usr/bin \
+        --enable-tls
+    make
+}
+
+package() {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    make DESTDIR="${pkgdir}" install
+    install -D -m 0644 ../nullmailer.service "${pkgdir}/usr/lib/systemd/system/nullmailer.service"
+    # Remove pipe and create on install to work around makepkg hang on grep -R
+    rm -f "${pkgdir}/var/nullmailer/trigger"
+}

Copied: nullmailer/repos/community-staging-x86_64/nullmailer.install (from rev 131110, nullmailer/trunk/nullmailer.install)
===================================================================
--- community-staging-x86_64/nullmailer.install	                        (rev 0)
+++ community-staging-x86_64/nullmailer.install	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,35 @@
+post_install() {
+    if ! getent passwd nullmail > /dev/null; then
+        echo "==> Creating nullmail user"
+        usr/bin/useradd --comment "nullmailer MTA" --shell /bin/sh --home /var/nullmailer --system --user-group nullmail
+    fi
+
+    echo "==> Creating trigger fifo"
+    rm -f var/nullmailer/trigger && mkfifo -m 600 var/nullmailer/trigger
+
+    echo "==> Fixing permissions"
+    chown nullmail var/nullmailer/*
+    chown nullmail usr/bin/nullmailer-queue
+    chmod u+s      usr/bin/nullmailer-queue
+    chown nullmail usr/bin/mailq
+    chmod u+s      usr/bin/mailq
+    if ! [ -s etc/nullmailer/me ]; then
+        echo "==> Configuring"
+        hostnamectl --static > etc/nullmailer/me
+    fi
+    if ! [ -s etc/nullmailer/remotes ]; then
+        echo "smarthost.example.org smtp --port=25 --auth-login --user=user --pass=pass" > etc/nullmailer/remotes
+        chgrp nullmail etc/nullmailer/remotes
+        chmod 640 etc/nullmailer/remotes
+    fi
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    systemctl stop nullmailer
+    # Leave the 'queue' directory intact
+    rm -rf var/service/nullmailer/{tmp,trigger}
+}

Copied: nullmailer/repos/community-staging-x86_64/nullmailer.service (from rev 131110, nullmailer/trunk/nullmailer.service)
===================================================================
--- community-staging-x86_64/nullmailer.service	                        (rev 0)
+++ community-staging-x86_64/nullmailer.service	2015-04-10 14:12:57 UTC (rev 131111)
@@ -0,0 +1,13 @@
+[Unit]
+Description=Nullmailer relay-only MTA
+After=local-fs.target
+ConditionPathExists=/var/nullmailer/queue
+
+[Install]
+WantedBy=multi-user.target
+
+[Service]
+WorkingDirectory=/var/nullmailer
+ExecStart=/usr/bin/nullmailer-send
+User=nullmail
+Restart=always



More information about the arch-commits mailing list